//------------------------------------------------------------------------------
//
//  npdata.h
//
//  ANTZ application based on NPE
//
//  Created by Shane Saxon on 2/19/10.
//  Copyright Saxon Digital 2010. All rights reserved.
//
//------------------------------------------------------------------------------

#ifndef npdata_H_
#define npdata_H_

// #define NP_LINUX_
#define NP_MSW_
// #define NP_OSX_

#include <stdio.h>

#include "data/nptypes.h"

#include "data/npnode.h"


//--- Functions ----------------------------------------------------------------

void npInitData (int argc, char* argv[], void* data);		// inits default
void npCloseData();

void* npDataGetDataRef();

int	npNewNodeID();

void npDataUpdate (void* dataRef);

char* npGetDataTypeName (int type);
char* npGetDataTypeDesc (int type);

void npDataPreset (int preset, void* dataRef);

void npDataCameraReset (NPnodePtr node, void* dataRef);
void npDataCameraResetTwo (NPnodePtr node, void* dataRef);
void npDataCameraResetThree (NPnodePtr node, void* dataRef);
void npDataCameraResetFour (NPnodePtr node, void* dataRef);

#endif

